<?php
//TITLE=HTML file character encoding changer

$outset= 'utf-8';
$title = 'HTML file Character set converter';
$progname = 'htmlrecode';

$text = array(
   '1. Purpose' => "

Recodes the HTML file using a new character set, while losing
no characters at all. You can recode shift_jis to euc-jp, utf8 to latin1,
iso-8859-15 to GB18030, iso-2022-jp to koi8-r etc if you wish, and none
of the characters on the page will become unreadable
(unless you specify -l switch, which disables making &amp;#nnnn; escapes).

", '1. Usage' => "

<pre class=smallerpre>htmlrecode 1.1.5.1 - Copyright (C) 1992,2003 Bisqwit (http://iki.fi/bisqwit/)

Usage: htmlrecode [&lt;option> [&lt;...>]]

Reads stdin, writes stdout.

Options:
    -I, --inset setname   Assumed input character set (default: iso-8859-1)
    -O, --outset setname  Wanted output character set (default: iso-8859-1)
    -V, --version         Displays version information.
    -h, --help            This help.
    -l, --lossy           Disable lossless conversion.
    -x, --usehex          Use hexadecimal escapes.

Pipe in the html file and pipe the output to result file.</pre>

", '1. TODO' => "

I'll soon add an interface for modifying the text content of a HTML file.<br>
This should make making filters like Pootpoot or Pikachifier easier. It is
already theoretically supported, but I haven't invented an interface for
it yet.

", '1. Installation' => "

<pre class=smallerpre
>\$ make
\$ su
# make install</pre>

If you do not want to install
<a href=\"http://oktober.stc.cx/source/libargh.html\">libargh</a>
(included in the archive), do not use \"make install\" and edit
Makefile and enable the STATIC linking instead of DYNAMIC.

", '1.1. Problems with gcc 3' => "

If somebody knows how to get this example code here below to
compile and link with g++-3, please tell me.
<p>
<pre class=smallerpre
>#include &lt;string&gt;

using namespace std;

int main(void)
{
    basic_string&lt;unsigned&gt; test;
    test += 5;
    return 0;
}</pre>

", '1. Example' => "

This page template is locally stored in iso-8859-1, but is
automatically converted to utf-8 to make the final version.<p>
Here are some latin letters: <br>
Here are some CJK (chinese/japanese/korean ideograms): &#26085;&#26412;<br>
Here are some html escapes: &gt;&quot;&auml;&ouml;&ecirc;<br>
<p>
Source code of the above:<pre class=smallerpre
>Here are some latin letters: &aring;&auml;&ouml;&ntilde;&eacute;&lt;br&gt;
Here are some CJK (chinese/japanese/korean ideograms): &amp;#26085;&amp;#26412;&lt;br&gt;
Here are some html escapes: &amp;gt;&amp;quot;&amp;auml;&amp;ouml;&amp;ecirc;&lt;br&gt;
</pre>
What your browser is getting, is not &amp;#26085; etc but the actual utf-8 characters.

", '1. Feedback' => "

If you have problems using this program or ideas how to
develop it, <a href=\"mailto:bisqwit@iki.fi\">email</a>
me your questions or ideas. Please do not omit the details.

", '1. Requirements' => "

htmlrecode has been written in C++, utilizing the standard template library.<br>
GNU make is required.<br>
I have g++ version 3.1.0, and htmlrecode compiles without warnings.<br>
You also need <a href=\"http://www.gnu.org/software/libiconv/\">libiconv</a>.<br>
<b>Note: The Makefile tries to link the program against librecode. Try replacing
the line <code>LDFLAGS=-lrecode</code> with <code>LDFLAGS=-liconv</code> or
even commenting it out, if your linking fails.</b>

", '1. Changes since 1.1.5' => "

<pre
>  - tags are now recognized in all mixed case
  - tag values can be in '', not only in \"\"
  - -:_. are recognized to be part of tag value if no \"\" is there
  - SCRIPT and STYLE contents are \"raw\" until the next &lt;/
  - Also ,/ are unconditionally recognized as part of the tag value</pre>

", '1. Copying' => "

htmlrecode has been written by Joel Yliluoma, a.k.a.
<a href=\"http://iki.fi/bisqwit/\">Bisqwit</a>,<br>
and is distributed under the terms of the
<a href=\"http://www.gnu.org/licenses/licenses.html#GPL\">General Public License</a> (GPL).

");
include '/WWW/progdesc.php';
